<!--Camera here-->
<div *ngIf="stream" class="liveCamera" (click)="closeWebCam()">
  <webcam
    [trigger]="$trigger"
    (imageCapture)="snapshot($event)"
    [imageQuality]="1"
  ></webcam>
  <button type="button" class="btn CaptureButton" (click)="captureImage()">
    Prendre photo
  </button>
</div>
<!--Camere end here-->
<div *ngIf="loading == true" class="laoder">
  <mat-progress-bar mode="indeterminate"></mat-progress-bar>
</div>
  <div class="camScan" *ngIf="showDialog && !loading && exist">
    <div class="AlertMsg">
      <div class="AlertMsgTitle">Alert</div>
      <div class="AlertMsgBody">
        Voulez vous déclencher la fin de saision pour cet hébergement
        {{ versionName }}?
      </div>
      <div class="AlertMsgAction">
        <button
          mat-stroked-button
          type="button"
          class="actionButton"
          data-toggle="modal"
          (click)="showDialog = false"
        >
          Non
        </button>
        <button
          mat-stroked-button
          type="button"
          class="actionButton"
          data-toggle="modal"
          (click)="forwardStep(); showDialog = false"
        >
          Oui
        </button>
      </div>
    </div>
  </div>

  <!--Success Message-->
  <div class="camScan" *ngIf="showSuccessDialog">
    <div class="AlertMsg">
      <div class="AlertMsgTitle">Alert</div>
      <div class="AlertMsgBody">La fin de saison est terminée avec succès</div>
      <div class="AlertMsgAction">
        <button
          mat-stroked-button
          type="button"
          class="actionButton"
          data-toggle="modal"
          (click)="step = 1; showSuccessDialog = false"
        >
          Ok
        </button>
      </div>
    </div>
  </div>

  <div class="camScan" *ngIf="enable" (click)="closeCam()">
    <div *ngIf="errorCam" class="errorCamera">
      <i class="icon-close icons"></i>
      <p>Votre camera ne fonctionne pas</p>
    </div>
    <zxing-scanner
      class="cam"
      (camerasNotFound)="notFoundCam()"
      (camerasFound)="sdevices($event)"
      [enable]="enable"
      (scanSuccess)="onCodeResult($event)"
    ></zxing-scanner>
  </div>
  <div *ngIf="step == 1" class="init">
    <div>
      <button
        mat-stroked-button
        type="button"
        class="addButton"
        data-toggle="modal"
        (click)="scanQrCode()"
      >
        Scanner le code de reconnaissance
      </button>
    </div>
    <div class="inputCode">
      <mat-form-field
        hintLabel="Max 10 characters"
        style="width: 100%"
        appearance="fill"
      >
        <mat-label style="color: black">Entrer le Code</mat-label>
        <input
          [(ngModel)]="scanResult"
          style="color: black"
          matInput
          placeholder="#34ae"
          required
          #code="ngModel"
        />
        <mat-icon matSuffix>dialpad</mat-icon>
        <mat-hint align="end">{{ code.value?.length || 0 }}/10</mat-hint>
      </mat-form-field>
    </div>
    <div *ngIf="!exist" class="errorElement">
      Aucun élément trouvé avec ce code
    </div>
    <div>
      <button
        data-toggle="modal"
        data-target="#exampleModalCenter"
        [disabled]="code.invalid"
        type="button"
        class="btn ContinueButton"
        (click)="confirmCode(); showDialog = true"
      >
        Continue
      </button>
    </div>
  </div>
  <!--!!!!!!!!  Step 2 !!!!!!!!!-->
  <!--!!!!!!!!  Step 2 !!!!!!!!!-->
  <div *ngIf="step == 2" class="init step2">
    <div>
      <h3>
        La fin de saison va concerner les éléments suivants {{ versionName }}:
      </h3>
    </div>
    <div class="selects" style="margin-top: -5%; margin-left: -10%">
      <div class="selectContainer">
        <ul style="line-height: 600%">
          <li *ngFor="let rentalType of elements; let indexOfelement = index">
            <div>
              {{ rentalType["element_type"]["name"] }}
              <div style="margin-left: 100%; margin-top: -65%">
                <mat-form-field style="width: 140px" appearance="fill">
                  <mat-label>Choisir</mat-label>
                  <mat-select
                    panelClass="my-select-panel-class"
                    [(ngModel)]="elementState[indexOfelement]"
                    [disabled]="hideSelect"
                    required
                  >
                    <mat-option
                      *ngFor="let elementState of elementStates"
                      [value]="elementState['id']"
                      (click)="
                        checkPick(
                          indexOfelement,
                          rentalType['element_type']['id'],
                          rentalType['element_type']['name']
                        )
                      "
                    >
                      {{ elementState["name"] }}
                    </mat-option>
                  </mat-select>
                </mat-form-field>
              </div>
            </div>
          </li>
        </ul>
      </div>
    </div>
    <div class="terminInitContainer">
      <button
        *ngIf="showNextButton"
        type="button"
        class="btn ContinueButton terminInit"
        data-toggle="modal"
        (click)="updateElementsStatus()"
      >
        Suivant
      </button>
    </div>
    <div class="cameraMain" *ngIf="!showNextButton">
      <h5>Prendre une photo de la fiche de vie de l'hébergement</h5>
      <div
        style="margin-left: 40%"
        (click)="checkPermissions()"
        class="iconCntainer"
      >
        <i class="icon-camera" style="color: green"></i>
      </div>
    </div>
    <div *ngIf="previewImage" class="previewImage">
      <img [src]="previewImage" height="250" width="250" />
      <!--<button (click)="proceed()">Proceed</button>-->
      <div class="terminInitContainer">
        <button
          type="button"
          class="btn ContinueButton terminInit"
          data-toggle="modal"
          (click)="proceed()"
        >
          Sauvegarder
        </button>
      </div>
    </div>
  </div>

  <!--!!!!!!!!  Step 3 !!!!!!!!!-->
  <!--!!!!!!!!  Step 3 !!!!!!!!!-->
  <div *ngIf="step == 3" class="init step2">
    <div class="reparationPreview">
      <h3>
        Veuillez saisir la raison de réparation pour cet élément :
        <B>{{ currentElementName }}</B>
      </h3>

      <h3>Attention, cet élément a été déjà réparé <B> 0 </B>fois.</h3>

      <h3>
        Le cout de remplacement de cet élément est <B>{{ price }}</B> €:
      </h3>
      <div class="selects" style="margin-top: 40px">
        <div class="selectContainer">
          <div>Réparation</div>
          <mat-form-field
            style="width: 180px; margin-left: 18%"
            appearance="fill"
          >
            <mat-label>Choisir réparation</mat-label>
            <mat-select
              required
              panelClass="my-select-panel-class"
              [(ngModel)]="reparationType"
            >
              <mat-option value="1"
                >Toile déchirée pour une tente démontable
              </mat-option>
              <mat-option value="2"
                >Toile percée pour une tente démontable
              </mat-option>
            </mat-select>
          </mat-form-field>
          <br />
          <br />
        </div>
      </div>
      <mat-form-field
        class="example-full-width"
        style="width: 98%"
        appearance="fill"
      >
        <mat-label>Décrivez la réparation</mat-label>
        <textarea
          matInput
          placeholder="Description.."
          [(ngModel)]="description"
        ></textarea>
      </mat-form-field>

      <div class="camera">
        <div
          *ngIf="step == 3"
          (click)="captureImage(); checkPermissions()"
          class="iconCntainer"
        >
          <i class="icon-camera" style="color: green"></i>
        </div>
      </div>
      <br />
      <div *ngIf="previewImage" class="previewImage">
        <img [src]="previewImage" height="250" width="250" />
      </div>
      <div
        class="terminInitContainer"
        style="margin-top: -10%"
        *ngIf="step == 3 && previewImage"
      >
        <button
          type="button"
          class="btn ContinueButton terminInit"
          data-toggle="modal"
          (click)="changeStep(2); changeReparation(); previewImage = ''"
        >
          Suivant
        </button>
      </div>
    </div>
    <!--end of step 3-->
  </div>
  <!--!!!!!!!!  Step 4 !!!!!!!!!-->
  <!--!!!!!!!!  Step 4 !!!!!!!!!-->
  <div *ngIf="step == 4" class="init step2">
    <div>
      <h3>Mise au rebut de l'élément</h3>

      <h3>Le sinistre est-il pris en charge par l'assurance ?</h3>

      <div
        class="terminInitContainer"
        style="margin-bottom: 20px; margin-top: 10%"
      >
        <button
          type="button"
          class="btn ContinueButton terminInit2"
          data-toggle="modal"
          (click)="showNext(); changeSinister(true)"
          [disabled]="showButtons"
        >
          Oui
        </button>
        <button
          type="button"
          class="btn ContinueButton terminInit2"
          data-toggle="modal"
          (click)="showNext(); changeSinister(false)"
          [disabled]="showButtons"
        >
          Non
        </button>
      </div>
      <div *ngIf="nextPart">
        <h3>La garantie pour cet élément est-elle encore active ?</h3>
        <h3>Date de fin de garentie: 2022-03-22</h3>
        <div
          class="terminInitContainer"
          style="margin-bottom: 20px; margin-top: 10%"
        >
          <button
            type="button"
            class="btn ContinueButton terminInit2"
            data-toggle="modal"
            (click)="changeStep(2)"
          >
            Oui
          </button>
          <button
            type="button"
            class="btn ContinueButton terminInit2"
            data-toggle="modal"
            (click)="changeStep(2)"
          >
            Non
          </button>
        </div>
      </div>
    </div>
    <!--end of step 4-->
  </div>

